# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-lzo
%define fedora 19
Summary:	LZO bindings for Python
Name:		python-module-lzo
Version:	1.08
Release:	alt1_12
Source0:	http://www.oberhumer.com/opensource/lzo/download/LZO-v1/%{oldname}-%{version}.tar.gz
URL:		http://www.oberhumer.com/opensource/lzo/
Patch0:		python-lzo-1.08-build-against-lzo2.patch
License:	GPLv2+
Group:		Development/Python
BuildRequires:	python-module-setuptools
BuildRequires:	python-devel
BuildRequires:  liblzo2-devel
Source44: import.info

%description
Python-LZO provides Python bindings for the LZO data compression library.

%prep
%setup -n %{oldname}-%{version} -q
%patch0 -p1 -b .lzo2


%build
%if 0%{?fedora} > 8
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
%else
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build
%endif


%install
%if 0%{?fedora} > 8
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%else
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}
%endif


%files
%doc COPYING NEWS README
%{python_sitelibdir}/*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1_12
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1_11
- initial fc import

